﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NeuralNetwork_Prediction
{
    class Program
    {
        static void Main(string[] args)
        {
            double[] inputVector = { 9, 7.2, 0.85 };
            double[] weightsVector = { 0.033, 0.007, 0.6 };
            double prediction = dotProduct(inputVector, weightsVector);

            Console.WriteLine($"Number of players on team: {inputVector[0]}");
            Console.WriteLine($"Average Years of Experience: {inputVector[1]}");
            Console.WriteLine($"Win/Loss Record: {inputVector[2]}");
            Console.WriteLine($"Prediction: {prediction}");
            Console.ReadLine();
        }

        private static double dotProduct(double[] input, double[] weights)
        {
            double prediction = 0;
            for (int i = 0; i < input.Length; i++)
            {
                prediction += input[i] * weights[i];
            }
            return prediction;
        }
    }
}
